PHP Manual
Prev |  | Next

# SWFMovie->output()

(no version information, might be only in CVS)

SWFMovie->output() -- Dumps your lovingly prepared movie out

## Description

class SWFMovie {
int output ( [int compression] )
}

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Dumps the SWFMovie.

Don't forget to send the `Content-Type` HTTP header file before using this function, in order to display the movie in a browser.

## Parameters

`compression`

  The compression level can be a value between 0 and 9, defining the SWF compression similar to gzip compression.

  This parameter is only available as of Flash MX (6).

## Return Values

Return the number of bytes written or `FALSE` on error.

## Examples

Example 1. Displaying your $movie in a browser

`<?php header('Content-type: application/x-shockwave-flash'); $movie->output(); ?>`

## See Also

SWFMovie->save()
SWFMovie->saveToFile()

Prev | Home | Next
SWFMovie->nextFrame() | Up | SWFMovie->remove()